summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHeikki Halmet <heikki.halmet@qt.io>2020-04-09 13:29:58 +0300
committerSimo Fält <simo.falt@qt.io>2020-05-14 04:03:49 +0000
commit70314ea485772d56f3701dd4fdbb6288fe889c94 (patch)
treec90c9d10f3e7c8db9a6d52beea66dfd02336606c
parentcd7c03f4de00862c095a84a7bf73869bd7dbdf14 (diff)
Provisioning: Activate subscriptionswip/qt3dstudio/2.75.12.8
Task-number: QTQAINFRA-3638 Change-Id: Ide5599a45b918dcbd44a7d60a78c3a4811d80943 (cherry picked from commit 5148639647ca7d98ac94aaa90f8d650e68d0f592) Reviewed-by: Matti Paaso <matti.paaso@qt.io> (cherry picked from commit 7759daa6ffe7b21dc509ed70ce4aa7bb417c423a) Reviewed-by: Katja Marttila <katja.marttila@qt.io>
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-6.6-x86_64/01-refresh-subscription-manager.sh9
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/01-refresh-subscription-manager.sh9
2 files changed, 14 insertions, 4 deletions
diff --git a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/01-refresh-subscription-manager.sh b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/01-refresh-subscription-manager.sh
index 84238ebf..e26a1e0d 100755
--- a/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/01-refresh-subscription-manager.sh
+++ b/coin/provisioning/qtci-linux-RHEL-6.6-x86_64/01-refresh-subscription-manager.sh
@@ -2,7 +2,7 @@
#############################################################################
##
-## Copyright (C) 2018 The Qt Company Ltd.
+## Copyright (C) 2020 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
@@ -33,7 +33,11 @@
##
#############################################################################
-set -ex
+set -e
+
+curl --retry 5 --retry-delay 10 --retry-max-time 60 http://ci-files01-hki.intra.qt.io/input/semisecure/redhat_ak.sh -o "/tmp/redhat_ak.sh" &>/dev/null
+sudo chmod 755 /tmp/redhat_ak.sh
+/tmp/redhat_ak.sh
# refresh local certificates
sudo subscription-manager refresh
@@ -41,3 +45,4 @@ sudo subscription-manager refresh
# Attach available subscriptions to system. This is needed when subscriptions are renewed.
sudo subscription-manager attach --auto
+sudo rm -f /tmp/redhat_ak.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/01-refresh-subscription-manager.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/01-refresh-subscription-manager.sh
index 84238ebf..e26a1e0d 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/01-refresh-subscription-manager.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/01-refresh-subscription-manager.sh
@@ -2,7 +2,7 @@
#############################################################################
##
-## Copyright (C) 2018 The Qt Company Ltd.
+## Copyright (C) 2020 The Qt Company Ltd.
## Contact: http://www.qt.io/licensing/
##
## This file is part of the provisioning scripts of the Qt Toolkit.
@@ -33,7 +33,11 @@
##
#############################################################################
-set -ex
+set -e
+
+curl --retry 5 --retry-delay 10 --retry-max-time 60 http://ci-files01-hki.intra.qt.io/input/semisecure/redhat_ak.sh -o "/tmp/redhat_ak.sh" &>/dev/null
+sudo chmod 755 /tmp/redhat_ak.sh
+/tmp/redhat_ak.sh
# refresh local certificates
sudo subscription-manager refresh
@@ -41,3 +45,4 @@ sudo subscription-manager refresh
# Attach available subscriptions to system. This is needed when subscriptions are renewed.
sudo subscription-manager attach --auto
+sudo rm -f /tmp/redhat_ak.sh